Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.datatype
Class ListDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.ListDatatypeValidator

public class ListDatatypeValidator
extends AbstractDatatypeValidator

StringValidator validates that XML content is a W3C string type.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: ListDatatypeValidator.java,v 1.11 2001/06/04 23:53:07 elena Exp $
Author:
  Elena Litani, Jeffrey Rodriguez, Mark Swinkles - List Validation refactoring

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`ListDatatypeValidator()`
`ListDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected void` | `checkContentEnum(java.lang.String content, java.lang.Object state, java.util.Vector enumeration)` validate that a content is valid against base datatype and facets (if any)
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `compare(java.lang.String value1, java.lang.String value2)`
`java.util.Hashtable` | `getFacets()`
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` validate that a string is a W3C string type

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListDatatypeValidator

    public ListDatatypeValidator()
                          throws InvalidDatatypeFacetException

### ListDatatypeValidator

    public ListDatatypeValidator(DatatypeValidator base,
                                 java.util.Hashtable facets,
                                 boolean derivedByList)
                          throws InvalidDatatypeFacetException

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  validate that a string is a W3C string type

  Parameters:
    `content` - A string containing the content to be validated
    `list` -
  Throws:
    throws - InvalidDatatypeException if the content is not a W3C string type
    InvalidDatatypeValueException -
  Overrides:
    validate in class AbstractDatatypeValidator

### getFacets

    public java.util.Hashtable getFacets()

  Returns:
    A Hashtable containing the facets for this datatype.

### compare

    public int compare(java.lang.String value1,
                       java.lang.String value2)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.

  Overrides:
    clone in class AbstractDatatypeValidator

### checkContentEnum

    protected void checkContentEnum(java.lang.String content,
                                    java.lang.Object state,
                                    java.util.Vector enumeration)
                             throws InvalidDatatypeValueException

  validate that a content is valid against base datatype and facets (if any)

  Parameters:
    `content` - A string containing the content to be validated
    `state` - used with IDREF(s) datatypes
    `enumeration` - enumeration facet
  Throws:
    throws - InvalidDatatypeException if the content is not valid
    InvalidDatatypeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference